LinearColorMap Class Reference

A customized QwtLinearColorMap. More...

`#include <LinearColorMap.h>`

Inheritance diagram for LinearColorMap:

## Public Member Functions

QwtDoubleInterval | intensityRange () const
| Get the intensity range. More...
| LinearColorMap ()
| Constructor. More...
| LinearColorMap (const QColor &from, const QColor &to)
| Constructor. More...
double | lowerBound ()
| Get the lower range limit. More...
void | setIntensityRange (const QwtDoubleInterval &range)
| Set the intensity range. More...
void | setIntensityRange (double vmin, double vmax)
| Set the intensity range. More...
QString | toXmlString ()
| Exports the map to a pseudo-XML string. More...
double | upperBound ()
| Get the upper range limit. More...

## Static Public Member Functions

static LinearColorMap | fromXmlStringList (const QStringList &lst)
| Used when restoring from project files. More...

## Private Attributes

QwtDoubleInterval | d_range

## Detailed Description

A customized QwtLinearColorMap.

## Constructor & Destructor Documentation

## LinearColorMap() [1/2]

LinearColorMap::LinearColorMap | ( |  | ) |

Constructor.

Referenced by fromXmlStringList().

## LinearColorMap() [2/2]

LinearColorMap::LinearColorMap | ( | const QColor & | from,
|  | const QColor & | to
| ) |  |

Constructor.

## Member Function Documentation

## fromXmlStringList()

LinearColorMap LinearColorMap::fromXmlStringList | ( | const QStringList & | lst | ) |

static

Used when restoring from project files.

References LinearColorMap().

Referenced by ApplicationWindow::openMatrix(), Graph3D::restore(), Matrix::restore(), Graph::restoreSpectrogram(), and upperBound().

## intensityRange()

QwtDoubleInterval LinearColorMap::intensityRange | ( |  | ) | const

Get the intensity range.

References d_range.

Referenced by Matrix::colorRange(), Spectrogram::range(), ColorMapEditor::setColorMap(), Graph3D::setDataColorMap(), and setIntensityRange().

## lowerBound()

double LinearColorMap::lowerBound | ( |  | ) |

inline

Get the lower range limit.

References d_range.

## setIntensityRange() [1/2]

void LinearColorMap::setIntensityRange | ( | const QwtDoubleInterval & | range | ) |

inline

Set the intensity range.

References d_range.

## setIntensityRange() [2/2]

void LinearColorMap::setIntensityRange | ( | double | vmin,
|  | double | vmax
| ) |  |

inline

Set the intensity range.

References d_range, and intensityRange().

## toXmlString()

QString LinearColorMap::toXmlString | ( |  | ) |

Exports the map to a pseudo-XML string.

References d_range.

Referenced by Matrix::save(), Graph3D::save(), Spectrogram::saveToString(), and upperBound().

## upperBound()

double LinearColorMap::upperBound | ( |  | ) |

inline

Get the upper range limit.

References d_range, fromXmlStringList(), and toXmlString().

## Member Data Documentation

## d_range

QwtDoubleInterval LinearColorMap::d_range

private

Referenced by intensityRange(), lowerBound(), setIntensityRange(), toXmlString(), and upperBound().

The documentation for this class was generated from the following files:

- qtiplot/src/lib/include/LinearColorMap.h
- qtiplot/src/lib/src/LinearColorMap.cpp